Bug 9834 - segfault when loging in with wrong password from w2k8r2
segfault when loging in with wrong password from w2k8r2
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.0.5
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-30 07:03 UTC by Björn Jacke
Modified: 2013-05-08 19:30 UTC (History)
1 user (show)

See Also:


Attachments
patches cherry-picked from master (1.13 KB, patch)
2013-04-30 20:42 UTC, Andrew Bartlett
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Jacke 2013-04-30 07:03:07 UTC
#0  0xb6c7ec4e in __waitpid_nocancel () from /lib/libc.so.6
No symbol table info available.
#1  0xb6c17c48 in do_system () from /lib/libc.so.6
No symbol table info available.
#2  0xb773a9db in system () from /lib/libpthread.so.0
No symbol table info available.
#3  0xb719d74d in smb_panic_s3 (why=0xb771e78b "internal error") at ../source3/lib/util.c:823
        cmd = 0x8a55638 "/etc/samba/panic-action 5412"
        result = <optimized out>
        __FUNCTION__ = "smb_panic_s3"
#4  0xb770cfa6 in smb_panic (why=why@entry=0xb771e78b "internal error") at ../lib/util/fault.c:159
No locals.
#5  0xb770d343 in fault_report (sig=11) at ../lib/util/fault.c:77
        counter = 1
#6  sig_fault (sig=11) at ../lib/util/fault.c:88
No locals.
#7  <signal handler called>
No symbol table info available.
#8  0xb6c211ae in vfprintf () from /lib/libc.so.6
No symbol table info available.
#9  0xb6ccd871 in __vasprintf_chk () from /lib/libc.so.6
No symbol table info available.
#10 0xb770bbf7 in vasprintf (__ap=0xbfefb424
+"EEEEEEEE&\233*\267\260\342\243\b`\213\245\bh\213\245\b\354\341\243\b\350\341\243\b\370\341\243\bp\213\245\b\230\264\357\277w+Ŷ\364\357<
+\267\270٣\b\260\342\243\b\240\343\243\bt\265\357\277p\213\245\b\370\341\243\b\350\341\243\b\354\341\243\b\"\001\200\266\270٣\b\003",
+__fmt=__fmt@entry=0xb6800f94 "../auth/ntlmssp/ntlmssp_server.c:455: Checking NTLMSSP password for %s\\%s failed: %s\n",
+__ptr=0xbfefb3f8) at /usr/include/bits/stdio2.h:210
No locals.
#11 dbgtext (format_str=format_str@entry=0xb6800f94 "../auth/ntlmssp/ntlmssp_server.c:455: Checking NTLMSSP password for %s\\%s failed:
+%s\n") at ../lib/util/debug.c:1056
        ap = 0xbfefb424 "EEEEEEEE&\233*\267\260\342\243\b`\213\245\bh\213\245\b\354\341\243\b\350\341\243\b\370\341\243\bp\213\245\b\230\
+264\357\277w+Ŷ\364\357<\267\270٣\b\260\342\243\b\240\343\243\bt\265\357\277p\213\245\b\370\341\243\b\350\341\243\b\354\341\243\b\"\001\2
+00\266\270٣\b\003"
        msgbuf = 0x0
        ret = true
        res = 0
#12 0xb67f346b in ntlmssp_server_check_password (lm_session_key=0x8a58b68, user_session_key=0x8a58b60, mem_ctx=0x8a58b60,
+gensec_ntlmssp=0x8a3e2b0, gensec_security=0x8a3e3a0) at ../auth/ntlmssp/ntlmssp_server.c:455
        ntlmssp_state = <optimized out>
        auth_context = 0x8a3d9b8
        nt_status = {v = 3221225578}
        user_info = 0x8a41538
#13 gensec_ntlmssp_server_auth (gensec_security=0x8a3e3a0, out_mem_ctx=0x8a3ebd8, in=..., out=0xbfefb68c) at
+../auth/ntlmssp/ntlmssp_server.c:645
        gensec_ntlmssp = 0x8a3e2b0
        state = 0x8a58b60
        nt_status = <optimized out>
#14 0xb67f0c85 in gensec_ntlmssp_update (gensec_security=0x8a3e3a0, out_mem_ctx=0x8a3ebd8, ev=0x8a1aff8, input=..., out=0xbfefb68c) at
+../auth/ntlmssp/ntlmssp.c:162
        gensec_ntlmssp = <optimized out>
        ntlmssp_state = 0x0
        status = {v = 0}
        i = <optimized out>
#15 0xbfefb5dc in ?? ()
No symbol table info available.
#16 0x000001f4 in ?? ()
No symbol table info available.

this is fixed with 1dcd75df4941d7032a66d3fbb86ac76964444a3f in master, which needs to be picked to 4.0
Comment 1 Andrew Bartlett 2013-04-30 20:42:43 UTC
Created attachment 8842 [details]
patches cherry-picked from master

Sorry about this, it looks like I got this into master, but forgot to followup with the bug for 4.0.
Comment 2 Stefan Metzmacher 2013-05-01 09:30:55 UTC
Comment on attachment 8842 [details]
patches cherry-picked from master

Looks good
Comment 3 Karolin Seeger 2013-05-06 19:17:30 UTC
Pushed to autobuild-v4-0-test.
Comment 4 Karolin Seeger 2013-05-08 19:30:29 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!